Kaynağa Gözat

MKS Robin Nano CI Tests (#18927)

Victor Oliveira 3 yıl önce
ebeveyn
işleme
b2abeff9ad
No account linked to committer's email address

+ 1
- 1
.github/workflows/test-builds.yml Dosyayı Görüntüle

@@ -78,6 +78,7 @@ jobs:
78 78
         - mks_robin_pro
79 79
         - STM32F103RET6_creality
80 80
         - LERDGEX
81
+        - mks_robin_nano35
81 82
 
82 83
         # Put lengthy tests last
83 84
 
@@ -94,7 +95,6 @@ jobs:
94 95
         #- at90usb1286_dfu
95 96
         #- STM32F103CB_malyan
96 97
         #- mks_robin_mini
97
-        #- mks_robin_nano
98 98
 
99 99
     steps:
100 100
 

+ 1
- 2
Marlin/src/lcd/extui/lib/mks_ui/pic_manager.cpp Dosyayı Görüntüle

@@ -510,9 +510,8 @@ uint8_t public_buf[512];
510 510
       uint8_t pic_counter = 0;
511 511
       W25QXX.SPI_FLASH_BufferRead(&pic_counter, PIC_COUNTER_ADDR, 1);
512 512
       SERIAL_ECHOLNPAIR("Total assets loaded: ", pic_counter);
513
+      SERIAL_ECHOLNPAIR("Total Uncompressed: ", totalSizes, ", Compressed: ", totalCompressed);
513 514
     #endif
514
-
515
-    SERIAL_ECHOLNPAIR("Total Uncompressed: ", totalSizes, ", Compressed: ", totalCompressed);
516 515
   }
517 516
 
518 517
   #if HAS_SPI_FLASH_FONT

+ 0
- 15
buildroot/tests/mks_robin_nano-tests Dosyayı Görüntüle

@@ -1,15 +0,0 @@
1
-#!/usr/bin/env bash
2
-#
3
-# Build tests for MKS Robin nano
4
-# (STM32F1 genericSTM32F103VE)
5
-#
6
-
7
-# exit on first failure
8
-set -e
9
-
10
-use_example_configs Mks/Robin
11
-opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO
12
-exec_test $1 $2 "MKS Robin nano"
13
-
14
-# cleanup
15
-restore_configs

+ 39
- 0
buildroot/tests/mks_robin_nano35-tests Dosyayı Görüntüle

@@ -0,0 +1,39 @@
1
+#!/usr/bin/env bash
2
+#
3
+# Build tests for MKS Robin nano
4
+# (STM32F1 genericSTM32F103VE)
5
+#
6
+
7
+# exit on first failure
8
+set -e
9
+
10
+use_example_configs Mks/Robin
11
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO
12
+opt_disable TFT_320x240
13
+opt_enable TOUCH_SCREEN
14
+opt_enable FSMC_GRAPHICAL_TFT
15
+exec_test $1 $2 "MKS Robin nano v1.2 Emulated DOGM FSMC"
16
+
17
+use_example_configs Mks/Robin
18
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO_V2
19
+opt_disable TFT_320x240
20
+opt_enable TOUCH_SCREEN
21
+opt_enable SPI_GRAPHICAL_TFT
22
+exec_test $1 $2 "MKS Robin v2 nano Emulated DOGM SPI"
23
+
24
+use_example_configs Mks/Robin
25
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO
26
+opt_disable TFT_320x240
27
+opt_disable TOUCH_SCREEN
28
+opt_enable TFT_LVGL_UI_FSMC
29
+exec_test $1 $2 "MKS Robin nano v1.2 LVGL FSMC"
30
+
31
+use_example_configs Mks/Robin
32
+opt_set MOTHERBOARD BOARD_MKS_ROBIN_NANO_V2
33
+opt_disable TFT_320x240
34
+opt_disable TOUCH_SCREEN
35
+opt_enable TFT_LVGL_UI_SPI
36
+exec_test $1 $2 "MKS Robin v2 nano LVGL SPI"
37
+
38
+# cleanup
39
+restore_configs

Loading…
İptal
Kaydet